summaryrefslogtreecommitdiffstats
path: root/test/integration/test-bug-679371-apt-get-autoclean-multiarch
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/test-bug-679371-apt-get-autoclean-multiarch')
-rwxr-xr-xtest/integration/test-bug-679371-apt-get-autoclean-multiarch27
1 files changed, 27 insertions, 0 deletions
diff --git a/test/integration/test-bug-679371-apt-get-autoclean-multiarch b/test/integration/test-bug-679371-apt-get-autoclean-multiarch
new file mode 100755
index 0000000..47e5aa1
--- /dev/null
+++ b/test/integration/test-bug-679371-apt-get-autoclean-multiarch
@@ -0,0 +1,27 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+setupenvironment
+configarchitecture 'amd64' 'i386'
+
+buildsimplenativepackage 'pkgall' 'all' '1' 'stable'
+buildsimplenativepackage 'pkgnative' 'amd64' '1' 'stable'
+buildsimplenativepackage 'pkgforeign' 'i386' '1' 'stable'
+
+setupaptarchive
+
+changetowebserver
+
+testsuccess aptget update
+testsuccess aptget install pkgall pkgnative pkgforeign -y
+
+# if we work with an old dpkg, pkgforeign will be listed differently,
+# so test with aptcache for install status instead
+testdpkginstalled pkgall pkgnative
+testsuccess aptcache show pkgforeign/installed
+
+testsuccessequal 'Reading package lists...
+Building dependency tree...
+Reading state information...' aptget autoclean -s